import { IJsonSchema } from '@jacquesparis/objects-model';
export declare function toKebabCase(str: string): string;
export declare function toCamelCase(str: string): string;
export declare function toStartCase(str: string): string;
export declare function contentGenericTemplate(dirName: string, name: string, templateIds?: string[]): {
    templatesMustache: {
        [templateId: string]: string;
    };
    templateMustache: string;
    headerScript: string;
    footerScript: string;
    templateAngular: string;
    scss: string;
    css: string;
    controller: string;
    refererConfig: IJsonSchema;
};
export declare function image(dirName: string, filename: string): string;
export declare function base64(dirName: string, name: string, filename: string): string;
export declare function template(dirName: string, name: string): string;
export declare function script(dirName: string, name: string): string;
export declare function scss(dirName: string, name: string): string;
export declare function css(dirName: string, name: string): string;
export declare function jsonschema(dirName: string, name: string): IJsonSchema;
export declare function json(dirName: string, name: string): IJsonSchema;
export declare function addConditionOldVersion(condition: string, schema: IJsonSchema): void;
export declare function addCondition(condition: string, schema: IJsonSchema, modelPath?: string): void;
